Module javafx.base
Package javafx.beans.property

# Class ReadOnlyBooleanProperty

java.lang.Object
javafx.beans.binding.BooleanExpression
javafx.beans.property.ReadOnlyBooleanProperty

All Implemented Interfaces:
  `Observable`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`

Direct Known Subclasses:
  `BooleanProperty`, `ReadOnlyBooleanPropertyBase`

public abstract class ReadOnlyBooleanProperty extends BooleanExpression implements ReadOnlyProperty<Boolean>
Superclass for all readonly properties wrapping a `boolean`.

Since:
  JavaFX 2.0
See Also:
  - `ObservableBooleanValue`
  - `BooleanExpression`
  - `ReadOnlyProperty`

## Constructor Summary

Constructors
Constructor
Description
`ReadOnlyBooleanProperty()`
The constructor of `ReadOnlyBooleanProperty`.

## Method Summary

Modifier and Type
Method
Description
`ReadOnlyObjectProperty<Boolean>`
`asObject()`
Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyBooleanProperty`.
`static ReadOnlyBooleanProperty`
`readOnlyBooleanProperty(ReadOnlyProperty<Boolean> property)`
Returns a `ReadOnlyBooleanProperty` that wraps a `ReadOnlyProperty`.
`String`
`toString()`
Returns a string representation of this `ReadOnlyBooleanProperty` object.

### Methods inherited from class javafx.beans.binding.BooleanExpression

`and, asString, booleanExpression, booleanExpression, getValue, isEqualTo, isNotEqualTo, not, or`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface javafx.beans.value.ObservableBooleanValue

`get`

### Methods inherited from interface javafx.beans.value.ObservableValue

`addListener, getValue, removeListener`

### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

`getBean, getName`

## Constructor Details

### ReadOnlyBooleanProperty

public ReadOnlyBooleanProperty()
The constructor of `ReadOnlyBooleanProperty`.

## Method Details

### toString

public String toString()
Returns a string representation of this `ReadOnlyBooleanProperty` object.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this `ReadOnlyBooleanProperty` object.

### readOnlyBooleanProperty

public static ReadOnlyBooleanProperty readOnlyBooleanProperty(ReadOnlyProperty<Boolean> property)
Returns a `ReadOnlyBooleanProperty` that wraps a `ReadOnlyProperty`. If the `ReadOnlyProperty` is already a `ReadOnlyBooleanProperty`, it will be returned. Otherwise a new `ReadOnlyBooleanProperty` is created that is bound to the `ReadOnlyProperty`. Note: null values will be interpreted as "false"

Parameters:
  `property` - The source `ReadOnlyProperty`
Returns:
  A `ReadOnlyBooleanProperty` that wraps the `ReadOnlyProperty` if necessary
Throws:
  `NullPointerException` - if `property` is `null`
Since:
  JavaFX 8.0

### asObject

public ReadOnlyObjectProperty<Boolean> asObject()
Creates a `ReadOnlyObjectProperty` that holds the value of this `ReadOnlyBooleanProperty`. If the value of this `ReadOnlyBooleanProperty` changes, the value of the `ReadOnlyObjectProperty` will be updated automatically.

Overrides:
  `asObject` in class `BooleanExpression`
Returns:
  the new `ReadOnlyObjectProperty`
Since:
  JavaFX 8.0